## python-gevent 1.4.0

=== Makefile ===
# This file is renamed to "Makefile.ext" in release tarballs so that setup.py won't try to
# run it.  If you want setup.py to run "make" automatically, rename it back to "Makefile".

# The pyvenv multiple runtime support is based on https://github.com/DRMacIver/hypothesis/blob/master/Makefile

PYTHON?=python${TRAVIS_PYTHON_VERSION}
CYTHON?=cython



export PATH:=$(BUILD_RUNTIMES)/snakepit:$(TOOLS):$(PATH)
export LC_ALL=C.UTF-8
export GEVENT_RESOLVER_NAMESERVERS=8.8.8.8


clean:
	rm -f src/gevent/libev/corecext.c src/gevent/libev/corecext.h
	rm -f src/gevent/resolver/cares.c src/gevent/resolver/cares.h
	rm -f src/gevent/_semaphore.c src/gevent/_semaphore.h
	rm -f src/gevent/local.c src/gevent/local.h
	rm -f src/gevent/*.so src/gevent/*.pyd src/gevent/libev/*.so src/gevent/libuv/*.so src/gevent/libev/*.pyd src/gevent/libuv/*.pyd
	rm -rf src/gevent/libev/*.o src/gevent/libuv/*.o src/gevent/*.o
	rm -rf src/gevent/__pycache__ src/greentest/__pycache__ src/greentest/greentest/__pycache__ src/gevent/libev/__pycache__
	rm -rf src/gevent/*.pyc src/greentest/*.pyc src/gevent/libev/*.pyc
	rm -rf htmlcov .coverage
	rm -rf build

distclean: clean
	rm -rf dist
	rm -rf deps/libev/config.h deps/libev/config.log deps/libev/config.status deps/libev/.deps deps/libev/.libs
	rm -rf deps/c-ares/config.h deps/c-ares/config.log deps/c-ares/config.status deps/c-ares/.deps deps/c-ares/.libs

doc:
	cd doc && PYTHONPATH=.. make html


prospector:
	which pylint
	pylint --rcfile=.pylintrc gevent
# debugging
#	pylint --rcfile=.pylintrc --init-hook="import sys, code; sys.excepthook = lambda exc, exc_type, tb: print(tb.tb_next.tb_next.tb_next.tb_next.tb_next.tb_next.tb_next.tb_next.tb_next.tb_next.tb_frame.f_locals['self'])" gevent src/greentest/* || true
# XXX: prospector is failing right now. I can't reproduce locally:
# https://travis-ci.org/gevent/gevent/jobs/345474139
#	${PYTHON} scripts/gprospector.py -X

lint: prospector

test_prelim:
	@which ${PYTHON}
	@${PYTHON} --version
	@${PYTHON} -c 'import greenlet; print(greenlet, greenlet.__version__)'
	@${PYTHON} -c 'import gevent.core; print(gevent.core.loop)'
	@${PYTHON} -c 'import gevent.ares; print(gevent.ares)'
	@make bench

# Folding from https://github.com/travis-ci/travis-rubies/blob/9f7962a881c55d32da7c76baefc58b89e3941d91/build.sh#L38-L44

basictest: test_prelim
	@${PYTHON} scripts/travis.py fold_start basictest "Running basic tests"
	GEVENT_RESOLVER=thread ${PYTHON} -mgevent.tests --config known_failures.py --quiet
	@${PYTHON} scripts/travis.py fold_end basictest

alltest: basictest
	@${PYTHON} scripts/travis.py fold_start ares "Running c-ares tests"
	GEVENT_RESOLVER=ares ${PYTHON} -mgevent.tests --config known_failures.py --ignore tests_that_dont_use_resolver.txt --quiet
	@${PYTHON} scripts/travis.py fold_end ares
	@${PYTHON} scripts/travis.py fold_start dnspython "Running dnspython tests"
	GEVENT_RESOLVER=dnspython ${PYTHON} -mgevent.tests --config known_failures.py --ignore tests_that_dont_use_resolver.txt --quiet
	@${PYTHON} scripts/travis.py fold_end dnspython
# In the past, we included all test files that had a reference to 'subprocess'' somewhere in their
# text. The monkey-patched stdlib tests were specifically included here.
# However, we now always also test on AppVeyor (Windows) which only has GEVENT_FILE=thread,
# so we can save a lot of CI time by reducing the set and excluding the stdlib tests without
# losing any coverage.
	@${PYTHON} scripts/travis.py fold_start thread "Running GEVENT_FILE=thread tests"
	cd src/gevent/tests && GEVENT_FILE=thread ${PYTHON} -mgevent.tests --config known_failures.py test__*subprocess*.py --quiet
	@${PYTHON} scripts/travis.py fold_end thread

allbackendtest:
	@${PYTHON} scripts/travis.py fold_start default "Testing default backend"
	GEVENTTEST_COVERAGE=1 make alltest
	@${PYTHON} scripts/travis.py fold_end default
	GEVENTTEST_COVERAGE=1 make cffibackendtest
# because we set parallel=true, each run produces new and different coverage files; they all need
# to be combined
	make coverage_combine


cffibackendtest:
	@${PYTHON} scripts/travis.py fold_start libuv "Testing libuv backend"
	GEVENT_LOOP=libuv make alltest
	@${PYTHON} scripts/travis.py fold_end libuv
	@${PYTHON} scripts/travis.py fold_start libev "Testing libev CFFI backend"
	GEVENT_LOOP=libev-cffi make alltest
	@${PYTHON} scripts/travis.py fold_end libev

leaktest: test_prelim
	@${PYTHON} scripts/travis.py fold_start leaktest "Running leak tests"
	GEVENT_RESOLVER=thread GEVENTTEST_LEAKCHECK=1 ${PYTHON} -mgevent.tests --config known_failures.py --quiet --ignore tests_that_dont_do_leakchecks.txt
	@${PYTHON} scripts/travis.py fold_end leaktest
	@${PYTHON} scripts/travis.py fold_start default "Testing default backend pure python"
	PURE_PYTHON=1 GEVENTTEST_COVERAGE=1 make basictest
	@${PYTHON} scripts/travis.py fold_end default

bench:
	${PYTHON} benchmarks/bench_sendall.py --loops 3 --processes 2 --values 2 --warmups 2 --quiet

travis_test_linters:
	make lint
	make leaktest
	make cffibackendtest

coverage_combine:
	coverage combine .
	coverage report -i
	-coveralls


.PHONY: clean doc prospector lint travistest travis

# Managing runtimes

BUILD_RUNTIMES?=$(PWD)/.runtimes

PY278=$(BUILD_RUNTIMES)/snakepit/python2.7.8
PY27=$(BUILD_RUNTIMES)/snakepit/python2.7.15
PY34=$(BUILD_RUNTIMES)/snakepit/python3.4.8
PY35=$(BUILD_RUNTIMES)/snakepit/python3.5.5
PY36=$(BUILD_RUNTIMES)/snakepit/python3.6.7
PY37=$(BUILD_RUNTIMES)/snakepit/python3.7.1
PYPY=$(BUILD_RUNTIMES)/snakepit/pypy600
PYPY3=$(BUILD_RUNTIMES)/snakepit/pypy3.5_600

TOOLS=$(BUILD_RUNTIMES)/tools

TOX=$(TOOLS)/tox

TOOL_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/tools
ISORT_VIRTUALENV=$(BUILD_RUNTIMES)/virtualenvs/isort
TOOL_PYTHON=$(TOOL_VIRTUALENV)/bin/python
TOOL_PIP=$(TOOL_VIRTUALENV)/bin/pip
TOOL_INSTALL=$(TOOL_PIP) install --upgrade


$(PY27):
	scripts/install.sh 2.7

$(PY34):
	scripts/install.sh 3.4

$(PY35):
	scripts/install.sh 3.5

$(PY36):
	scripts/install.sh 3.6

$(PY37):
	scripts/install.sh 3.7

$(PYPY):
	scripts/install.sh pypy

$(PYPY3):
	scripts/install.sh pypy3


develop:
	@${PYTHON} scripts/travis.py fold_start install "Installing gevent"
	@echo python is at `which $(PYTHON)`
# First install a newer pip so that it can use the wheel cache
# (only needed until travis upgrades pip to 7.x; note that the 3.5
# environment uses pip 7.1 by default)
	${PYTHON} -m pip install -U pip setuptools
# Then start installing our deps so they can be cached. Note that use of --build-options / --global-options / --install-options
# disables the cache.
# We need wheel>=0.26 on Python 3.5. See previous revisions.
	time ${PYTHON} -m pip install -U --upgrade-strategy=eager -r ci-requirements.txt
	GEVENTSETUP_EV_VERIFY=3 time ${PYTHON} -m pip install -U --upgrade-strategy=eager -e .[test,dnspython,events]
	${PYTHON} -m pip freeze
	ccache -s
	@${PYTHON} scripts/travis.py fold_end install

test-py27: $(PY27)
	PYTHON=python2.7.15 PATH=$(BUILD_RUNTIMES)/versions/python2.7.15/bin:$(PATH) make develop leaktest cffibackendtest coverage_combine

test-py34: $(PY34)
	PYTHON=python3.4.8 PATH=$(BUILD_RUNTIMES)/versions/python3.4.8/bin:$(PATH) make develop basictest

test-py35: $(PY35)
	PYTHON=python3.5.5 PATH=$(BUILD_RUNTIMES)/versions/python3.5.5/bin:$(PATH) GEVENTTEST_COVERAGE=1 make develop basictest coverage_combine

test-py36: $(PY36)
	PYTHON=python3.6.7 PATH=$(BUILD_RUNTIMES)/versions/python3.6.7/bin:$(PATH) make develop lint basictest

test-py37: $(PY37)
	LD_LIBRARY_PATH=$(BUILD_RUNTIMES)/versions/python3.7.1/openssl/lib PYTHON=python3.7.1 PATH=$(BUILD_RUNTIMES)/versions/python3.7.1/bin:$(PATH) make develop leaktest cffibackendtest coverage_combine

test-pypy: $(PYPY)
	PYTHON=$(PYPY) PATH=$(BUILD_RUNTIMES)/versions/pypy600/bin:$(PATH) make develop cffibackendtest

test-pypy3: $(PYPY3)
	PYTHON=$(PYPY3) PATH=$(BUILD_RUNTIMES)/versions/pypy3.5_600/bin:$(PATH) make develop basictest

test-py27-noembed: $(PY27)
	@python2.7.15 scripts/travis.py fold_start conf_libev "Configuring libev"
	cd deps/libev && ./configure --disable-dependency-tracking && make
	@python2.7.15 scripts/travis.py fold_end conf_libev
	@python2.7.15 scripts/travis.py fold_start conf_cares "Configuring cares"
	cd deps/c-ares && ./configure --disable-dependency-tracking && make
	@python2.7.15 scripts/travis.py fold_end conf_cares
	@python2.7.15 scripts/travis.py fold_start conf_libuv "Configuring libuv"
	cd deps/libuv && ./autogen.sh && ./configure --disable-static && make
	@python2.7.15 scripts/travis.py fold_end conf_libuv
	CPPFLAGS="-Ideps/libev -Ideps/c-ares -Ideps/libuv/include" LDFLAGS="-Ldeps/libev/.libs -Ldeps/c-ares/.libs -Ldeps/libuv/.libs" LD_LIBRARY_PATH="$(PWD)/deps/libev/.libs:$(PWD)/deps/c-ares/.libs:$(PWD)/deps/libuv/.libs" EMBED=0 GEVENT_LOOP=libev-cext PYTHON=python2.7.15 PATH=$(BUILD_RUNTIMES)/versions/python2.7.15/bin:$(PATH) make develop basictest

=== deps/libuv/CMakeLists.txt ===
# TODO: determine CMAKE_SYSTEM_NAME on OS/390.  Currently assumes "OS/390".
cmake_minimum_required(VERSION 3.0)
project(libuv)
enable_testing()

if(MSVC)
  list(APPEND uv_cflags /W4)
elseif(CMAKE_C_COMPILER_ID MATCHES "AppleClang|Clang|GNU")
  list(APPEND uv_cflags -fvisibility=hidden --std=gnu89)
  list(APPEND uv_cflags -Wall -Wextra -Wstrict-prototypes)
  list(APPEND uv_cflags -Wno-unused-parameter)
endif()

set(uv_sources
    src/fs-poll.c
    src/idna.c
    src/inet.c
    src/threadpool.c
    src/timer.c
    src/uv-common.c
    src/uv-data-getter-setters.c
    src/version.c)

set(uv_test_sources
    test/blackhole-server.c
    test/echo-server.c
    test/run-tests.c
    test/runner.c
    test/test-active.c
    test/test-async-null-cb.c
    test/test-async.c
    test/test-barrier.c
    test/test-callback-order.c
    test/test-callback-stack.c
    test/test-close-fd.c
    test/test-close-order.c
    test/test-condvar.c
    test/test-connect-unspecified.c
    test/test-connection-fail.c
    test/test-cwd-and-chdir.c
    test/test-default-loop-close.c
    test/test-delayed-accept.c
    test/test-dlerror.c
    test/test-eintr-handling.c
    test/test-embed.c
    test/test-emfile.c
    test/test-env-vars.c
    test/test-error.c
    test/test-fail-always.c
    test/test-fork.c
    test/test-fs-copyfile.c
    test/test-fs-event.c
    test/test-fs-poll.c
    test/test-fs.c
    test/test-get-currentexe.c
    test/test-get-loadavg.c
    test/test-get-memory.c
    test/test-get-passwd.c
    test/test-getaddrinfo.c
    test/test-gethostname.c
    test/test-getnameinfo.c
    test/test-getsockname.c
    test/test-getters-setters.c
    test/test-handle-fileno.c
    test/test-homedir.c
    test/test-hrtime.c
    test/test-idle.c
    test/test-idna.c
    test/test-ip4-addr.c
    test/test-ip6-addr.c
    test/test-ip6-addr.c
    test/test-ipc-heavy-traffic-deadlock-bug.c
    test/test-ipc-send-recv.c
    test/test-ipc.c
    test/test-loop-alive.c
    test/test-loop-close.c
    test/test-loop-configure.c
    test/test-loop-handles.c
    test/test-loop-stop.c
    test/test-loop-time.c
    test/test-multiple-listen.c
    test/test-mutexes.c
    test/test-osx-select.c
    test/test-pass-always.c
    test/test-ping-pong.c
    test/test-pipe-bind-error.c
    test/test-pipe-close-stdout-read-stdin.c
    test/test-pipe-connect-error.c
    test/test-pipe-connect-multiple.c
    test/test-pipe-connect-prepare.c
    test/test-pipe-getsockname.c
    test/test-pipe-pending-instances.c
    test/test-pipe-sendmsg.c
    test/test-pipe-server-close.c
    test/test-pipe-set-fchmod.c
    test/test-pipe-set-non-blocking.c
    test/test-platform-output.c
    test/test-poll-close-doesnt-corrupt-stack.c
    test/test-poll-close.c
    test/test-poll-closesocket.c
    test/test-poll-oob.c
    test/test-poll.c
    test/test-process-priority.c
    test/test-process-title-threadsafe.c
    test/test-process-title.c
    test/test-queue-foreach-delete.c
    test/test-ref.c
    test/test-run-nowait.c
    test/test-run-once.c
    test/test-semaphore.c
    test/test-shutdown-close.c
    test/test-shutdown-eof.c
    test/test-shutdown-twice.c
    test/test-signal-multiple-loops.c
    test/test-signal.c
    test/test-socket-buffer-size.c
    test/test-spawn.c
    test/test-stdio-over-pipes.c
    test/test-tcp-alloc-cb-fail.c
    test/test-tcp-bind-error.c
    test/test-tcp-bind6-error.c
    test/test-tcp-close-accept.c
    test/test-tcp-close-while-connecting.c
    test/test-tcp-close.c
    test/test-tcp-connect-error-after-write.c
    test/test-tcp-connect-error.c
    test/test-tcp-connect-timeout.c
    test/test-tcp-connect6-error.c
    test/test-tcp-create-socket-early.c
    test/test-tcp-flags.c
    test/test-tcp-oob.c
    test/test-tcp-open.c
    test/test-tcp-read-stop.c
    test/test-tcp-shutdown-after-write.c
    test/test-tcp-try-write.c
    test/test-tcp-unexpected-read.c
    test/test-tcp-write-after-connect.c
    test/test-tcp-write-fail.c
    test/test-tcp-write-queue-order.c
    test/test-tcp-write-to-half-open-connection.c
    test/test-tcp-writealot.c
    test/test-thread-equal.c
    test/test-thread.c
    test/test-threadpool-cancel.c
    test/test-threadpool.c
    test/test-timer-again.c
    test/test-timer-from-check.c
    test/test-timer.c
    test/test-tmpdir.c
    test/test-tty.c
    test/test-udp-alloc-cb-fail.c
    test/test-udp-bind.c
    test/test-udp-create-socket-early.c
    test/test-udp-dgram-too-big.c
    test/test-udp-ipv6.c
    test/test-udp-multicast-interface.c
    test/test-udp-multicast-interface6.c
    test/test-udp-multicast-join.c
    test/test-udp-multicast-join6.c
    test/test-udp-multicast-ttl.c
    test/test-udp-open.c
    test/test-udp-options.c
    test/test-udp-send-and-recv.c
    test/test-udp-send-hang-loop.c
    test/test-udp-send-immediate.c
    test/test-udp-send-unreachable.c
    test/test-udp-try-send.c
    test/test-walk-handles.c
    test/test-watcher-cross-stop.c)

if(WIN32)
  list(APPEND uv_defines WIN32_LEAN_AND_MEAN _WIN32_WINNT=0x0600)
  list(APPEND uv_libraries
       advapi32
       iphlpapi
       psapi
       shell32
       user32
       userenv
       ws2_32)
  list(APPEND uv_sources
       src/win/async.c
       src/win/core.c
       src/win/detect-wakeup.c
       src/win/dl.c
       src/win/error.c
       src/win/fs.c
       src/win/fs-event.c
       src/win/getaddrinfo.c
       src/win/getnameinfo.c
       src/win/handle.c
       src/win/loop-watcher.c
       src/win/pipe.c
       src/win/thread.c
       src/win/poll.c
       src/win/process.c
       src/win/process-stdio.c
       src/win/signal.c
       src/win/snprintf.c
       src/win/stream.c
       src/win/tcp.c
       src/win/tty.c
       src/win/udp.c
       src/win/util.c
       src/win/winapi.c
       src/win/winsock.c)
  list(APPEND uv_test_libraries ws2_32)
  list(APPEND uv_test_sources src/win/snprintf.c test/runner-win.c)
else()
  list(APPEND uv_defines _FILE_OFFSET_BITS=64 _LARGEFILE_SOURCE)
  list(APPEND uv_libraries pthread)
  list(APPEND uv_sources
       src/unix/async.c
       src/unix/core.c
       src/unix/dl.c
       src/unix/fs.c
       src/unix/getaddrinfo.c
       src/unix/getnameinfo.c
       src/unix/loop-watcher.c
       src/unix/loop.c
       src/unix/pipe.c
       src/unix/poll.c
       src/unix/process.c
       src/unix/signal.c
       src/unix/stream.c
       src/unix/tcp.c
       src/unix/thread.c
       src/unix/tty.c
       src/unix/udp.c)
  list(APPEND uv_test_sources test/runner-unix.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "AIX")
  list(APPEND uv_defines
       _ALL_SOURCE
       _LINUX_SOURCE_COMPAT
       _THREAD_SAFE
       _XOPEN_SOURCE=500)
  list(APPEND uv_libraries perfstat)
  list(APPEND uv_sources src/unix/aix.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Android")
  list(APPEND uv_libs dl)
  list(APPEND uv_sources
       src/unix/android-ifaddrs.c
       src/unix/linux-core.c
       src/unix/linux-inotify.c
       src/unix/linux-syscalls.c
       src/unix/procfs-exepath.c
       src/unix/pthread-fixes.c
       src/unix/sysinfo-loadavg.c
       src/unix/sysinfo-memory.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Android|Darwin|Linux|OS/390")
  list(APPEND uv_sources src/unix/proctitle.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "DragonFly|FreeBSD")
  list(APPEND uv_sources src/unix/freebsd.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "DragonFly|FreeBSD|NetBSD|OpenBSD")
  list(APPEND uv_sources src/unix/posix-hrtime.c src/unix/bsd-proctitle.c)
  list(APPEND uv_libraries kvm)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Darwin|DragonFly|FreeBSD|NetBSD|OpenBSD")
  list(APPEND uv_sources src/unix/bsd-ifaddrs.c src/unix/kqueue.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")
  list(APPEND uv_defines _DARWIN_UNLIMITED_SELECT=1 _DARWIN_USE_64_BIT_INODE=1)
  list(APPEND uv_sources
       src/unix/darwin-proctitle.c
       src/unix/darwin.c
       src/unix/fsevents.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
  list(APPEND uv_defines _GNU_SOURCE _POSIX_C_SOURCE=200112)
  list(APPEND uv_libraries dl rt)
  list(APPEND uv_sources
       src/unix/linux-core.c
       src/unix/linux-inotify.c
       src/unix/linux-syscalls.c
       src/unix/procfs-exepath.c
       src/unix/sysinfo-loadavg.c
       src/unix/sysinfo-memory.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "NetBSD")
  list(APPEND uv_sources src/unix/netbsd.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
  list(APPEND uv_sources src/unix/openbsd.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "OS/390")
  list(APPEND uv_defines PATH_MAX=255)
  list(APPEND uv_defines _AE_BIMODAL)
  list(APPEND uv_defines _ALL_SOURCE)
  list(APPEND uv_defines _LARGE_TIME_API)
  list(APPEND uv_defines _OPEN_MSGQ_EXT)
  list(APPEND uv_defines _OPEN_SYS_FILE_EXT)
  list(APPEND uv_defines _OPEN_SYS_IF_EXT)
  list(APPEND uv_defines _OPEN_SYS_SOCK_IPV6)
  list(APPEND uv_defines _UNIX03_SOURCE)
  list(APPEND uv_defines _UNIX03_THREADS)
  list(APPEND uv_defines _UNIX03_WITHDRAWN)
  list(APPEND uv_defines _XOPEN_SOURCE_EXTENDED)
  list(APPEND uv_sources
       src/unix/pthread-fixes.c
       src/unix/pthread-barrier.c
       src/unix/os390.c
       src/unix/os390-syscalls.c)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL "SunOS")
  list(APPEND uv_defines __EXTENSIONS__ _XOPEN_SOURCE=500)
  list(APPEND uv_libraries kstat nsl sendfile socket)
  list(APPEND uv_sources src/unix/no-proctitle.c src/unix/sunos.c)
endif()

if(CMAKE_SYSTEM_NAME MATCHES "Darwin|DragonFly|FreeBSD|Linux|NetBSD|OpenBSD")
  list(APPEND uv_test_libraries util)
endif()

add_library(uv SHARED ${uv_sources})
target_compile_definitions(uv PRIVATE ${uv_defines} BUILDING_UV_SHARED=1)
target_compile_options(uv PRIVATE ${uv_cflags})
target_include_directories(uv PRIVATE include src)
target_link_libraries(uv ${uv_libraries})

add_library(uv_a STATIC ${uv_sources})
target_compile_definitions(uv_a PRIVATE ${uv_defines})
target_compile_options(uv_a PRIVATE ${uv_cflags})
target_include_directories(uv_a PRIVATE include src)
target_link_libraries(uv_a ${uv_libraries})

if(BUILD_TESTING)
  include(CTest)
  add_executable(uv_run_tests ${uv_test_sources})
  target_compile_definitions(uv_run_tests PRIVATE ${uv_defines})
  target_compile_options(uv_run_tests PRIVATE ${uv_cflags})
  target_include_directories(uv_run_tests PRIVATE include)
  target_link_libraries(uv_run_tests uv ${uv_test_libraries})
  add_test(NAME uv_test
           COMMAND uv_run_tests
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
  add_executable(uv_run_tests_a ${uv_test_sources})
  target_compile_definitions(uv_run_tests_a PRIVATE ${uv_defines})
  target_compile_options(uv_run_tests_a PRIVATE ${uv_cflags})
  target_include_directories(uv_run_tests_a PRIVATE include)
  target_link_libraries(uv_run_tests_a uv_a ${uv_test_libraries})
  add_test(NAME uv_test_a
           COMMAND uv_run_tests_a
           WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
endif()

if(UNIX)
  # Now for some gibbering horrors from beyond the stars...
  include(GNUInstallDirs)
  foreach(x ${uv_libraries})
    set(LIBS "${LIBS} -l${x}")
  endforeach(x)
  file(STRINGS configure.ac configure_ac REGEX ^AC_INIT)
  string(REGEX MATCH [0-9]+[.][0-9]+[.][0-9]+ PACKAGE_VERSION "${configure_ac}")
  set(includedir ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_INCLUDEDIR})
  set(libdir ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})
  set(prefix ${CMAKE_INSTALL_PREFIX})
  configure_file(libuv.pc.in ${CMAKE_CURRENT_BINARY_DIR}/libuv.pc @ONLY)

  install(DIRECTORY include/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
  install(FILES LICENSE DESTINATION ${CMAKE_INSTALL_DOCDIR})
  install(FILES LICENSE ${CMAKE_CURRENT_BINARY_DIR}/libuv.pc
          DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
  install(TARGETS uv LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
  install(TARGETS uv_a ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
endif()

=== debian/changelog ===
python-gevent (1.4.0-1) unstable; urgency=medium

  * New upstream release.

  [ Matthias Klose <doko@ubuntu.com> ]
  * Fix installation of Python 3.8 extensions (closes: #943363).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 27 Oct 2019 07:45:10 +0000

=== debian/control ===
Source: python-gevent
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 11), dh-python, python-all-dev,
 dh-exec,
 libevent-dev (>= 1.4), python-greenlet (>= 0.4.15) | python-codespeak-lib (<< 1.0),
 python-sphinx (>= 1.0.7+dfsg), python-all-dbg,
 python-greenlet-dbg, python3-greenlet-dbg,
 python-setuptools, python3-setuptools,
 python-cffi,  python-cffi-backend-dbg,
 python3-cffi, python3-cffi-backend-dbg,
 python3-all-dev, python3-all-dbg, python3-greenlet (>= 0.4.15),
 python3-sphinx, python3-repoze.sphinx.autointerface,
 cython, cython-dbg, cython3,
 libev-dev, libc-ares-dev
Standards-Version: 4.3.0
Section: python
Homepage: http://www.gevent.org/

Package: python-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python:Depends},
 python-greenlet-dbg
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.

Package: python-gevent-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the documentation for gevent.

Package: python-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-greenlet (>= 0.3.2) | python-codespeak-lib (<< 1.0)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Suggests: python-gevent-doc, python-gevent-dbg, python-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

Package: python3-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-greenlet
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Suggests: python-gevent-doc, python3-gevent-dbg, python3-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

Package: python3-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends},
 python3-greenlet-dbg
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export SHELL = /bin/bash

DOCDIR:=$(CURDIR)/debian/python-gevent-doc/usr/share/doc/python-gevent

%:
	dh  $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=../src/ make --directory doc/ html

override_dh_auto_clean:
	dh_auto_clean
	make distclean
	make --directory doc/ clean
	rm -f $(CURDIR)/deps/c-ares/Makefile \
		$(CURDIR)/deps/c-ares/ares_build.h \
		$(CURDIR)/deps/c-ares/ares_config.h \
		$(CURDIR)/deps/c-ares/libcares.pc \
		$(CURDIR)/deps/c-ares/stamp-h1 \
		$(CURDIR)/deps/c-ares/stamp-h2
	rm -f $(CURDIR)/deps/libev/Makefile \
		$(CURDIR)/deps/libev/libtool \
		$(CURDIR)/deps/libev/stamp-h1
	rm -f $(CURDIR)/src/gevent/_abstract_linkable.c \
		$(CURDIR)/src/gevent/_greenlet_primitives.c \
	       	$(CURDIR)/src/gevent/_hub_local.c \
		$(CURDIR)/src/gevent/_hub_primitives.c \
		$(CURDIR)/src/gevent/_ident.c \
		$(CURDIR)/src/gevent/_imap.c \
		$(CURDIR)/src/gevent/_tracer.c \
		$(CURDIR)/src/gevent/_waiter.c \
		$(CURDIR)/src/gevent/event.c \
		$(CURDIR)/src/gevent/greenlet.c \
		$(CURDIR)/src/gevent/queue.c
	rm -rf $(CURDIR)/src/gevent.egg-info/
	rm -f $(CURDIR)/src/gevent/*.html \
		$(CURDIR)/src/gevent/libev/corecext.html \
		$(CURDIR)/src/gevent/resolver/cares.html

override_dh_install:
	dh_install -O--parallel -O--buildsystem=pybuild
	: # remove the compat stuff for 2/3
	rm -v -f debian/python-gevent/usr/lib/python2.7/dist-packages/gevent/_{util_py,ssl,fileobject,socket}3*
	rm -v -f debian/python3-gevent/usr/lib/python3*/dist-packages/gevent/_{util_py,ssl,fileobject,socket}2*
	# remove debug files from main package
	find debian/python3-gevent -name '*.cpython-3?d*-*.so'| xargs -r rm -f

override_dh_compress:
	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
	dh_strip -p python3-gevent --dbg-package=python3-gevent-dbg
endif

# TODO: check for failures, but disable for now
override_dh_auto_test:
#	chmod +x $(CURDIR)/src/greentest/testrunner.py
#	cd $(CURDIR)/src/greentest && PYTHONPATH=../.. ./testrunner.py

override_dh_installdocs-arch:
	dh_installdocs -Npython-gevent-dbg -Npython3-gevent-dbg
	dh_installdocs -ppython-gevent-dbg --link-doc=python-gevent
	dh_installdocs -ppython3-gevent-dbg --link-doc=python3-gevent

override_dh_installdocs-indep:
	dh_installdocs -i
	# remove privacy tracking links
	sed -i 's|https://www.paypal.com/.*.gif||' \
		$(DOCDIR)/html/sfc.html
	sed -i 's|"https://travis-ci.org/.*"|""|' \
		$(DOCDIR)/html/install.html
	sed -i 's|"https://coveralls.io/.*"|""|' \
		$(DOCDIR)/html/install.html
	sed -i 's|"https://ci.appveyor.com/.*"|""|' \
		$(DOCDIR)/html/install.html

override_dh_installexamples-indep:
	dh_installexamples -i
	# remove privacy tracking links
	sed -i 's|http.*/jquery.min.js|file://usr/share/javascript/jquery/jquery.min.js|' \
		$(DOCDIR)/examples/webchat/templates/index.html

override_dh_missing:
	dh_missing --list-missing -X.c -X.h -X.pxd -X.pyc -X.pyx

.PHONY: override_dh_auto_build override_dh_auto_clean override_dh_install \
	override_dh_compress override_dh_strip override_dh_auto_test \
	override_dh_installdocs-arch override_dh_installdocs-indep \
	override_dh_installexamples-indep override_dh_missing

## python-gevent 20.9.0

=== debian/changelog ===
python-gevent (20.9.0-2) unstable; urgency=medium

  * Fix dh_installdocs invocation in arch target (closes: #983825).
  * Fix documentation reference.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 02 Mar 2021 06:55:02 +0100

python-gevent (20.9.0-1) unstable; urgency=medium

  * Update packaging bits.
  * Update debhelper level to 13 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Jan 2021 20:03:08 +0100

python-gevent (20.9.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version. Closes: #958476.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Dec 2020 14:23:52 +0100

python-gevent (1.4.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937784
  * Install documentation in python-gevent-doc dir; Closes: #953956

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 20:03:00 -0400

python-gevent (1.4.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build documentation using python3-sphinx

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Mar 2020 18:47:23 -0400

=== debian/control ===
Source: python-gevent
Priority: optional
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python,
 dh-exec,
 libevent-dev (>= 1.4),
 python3-greenlet,
 python3-greenlet-dbg,
 python3-setuptools,
 python3-cffi, python3-cffi-backend-dbg,
 python3-all-dev, python3-all-dbg, python3-greenlet (>= 0.4.15),
 python3-repoze.sphinx.autointerface,
 python3-sphinx,
 python3-sphinxcontrib.programoutput,
 cython3, cython3-dbg,
 libev-dev, libc-ares-dev, libuv1-dev
Standards-Version: 4.5.1
Section: python
Homepage: https://www.gevent.org/

Package: python-gevent-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the documentation for gevent.

Package: python3-gevent
Section: python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}, python3-greenlet
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Suggests: python-gevent-doc, python3-gevent-dbg, python3-openssl
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

Package: python3-gevent-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends}, python3-gevent (= ${binary:Version}), ${shlibs:Depends}, ${python3:Depends},
 python3-greenlet-dbg
Provides: ${python3:Provides}
XB-Python-Version: ${python3:Versions}
Description: gevent is a coroutine-based Python networking library - debugging symbols
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the debugging symbols for gevent.

=== debian/rules ===
--- 
+++ 
@@ -6,19 +6,21 @@
 
 export SHELL = /bin/bash
 
-DOCDIR:=$(CURDIR)/debian/python-gevent-doc/usr/share/doc/python-gevent
+DOCDIR:=$(CURDIR)/debian/python-gevent-doc/usr/share/doc/python-gevent-doc
+
+export GEVENTSETUP_EMBED_CARES = 0
+export GEVENTSETUP_EMBED_LIBEV = 0
+export GEVENTSETUP_EMBED_LIBUV = 0
 
 %:
-	dh  $@ --with python2,python3 --buildsystem=pybuild
+	dh  $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
-	PYTHONPATH=../src/ make --directory doc/ html
+	PYTHONPATH=../src/ make --directory docs/ html SPHINXBUILD=/usr/share/sphinx/scripts/python3/sphinx-build
 
 override_dh_auto_clean:
 	dh_auto_clean
-	make distclean
-	make --directory doc/ clean
 	rm -f $(CURDIR)/deps/c-ares/Makefile \
 		$(CURDIR)/deps/c-ares/ares_build.h \
 		$(CURDIR)/deps/c-ares/ares_config.h \
@@ -47,7 +49,6 @@
 override_dh_install:
 	dh_install -O--parallel -O--buildsystem=pybuild
 	: # remove the compat stuff for 2/3
-	rm -v -f debian/python-gevent/usr/lib/python2.7/dist-packages/gevent/_{util_py,ssl,fileobject,socket}3*
 	rm -v -f debian/python3-gevent/usr/lib/python3*/dist-packages/gevent/_{util_py,ssl,fileobject,socket}2*
 	# remove debug files from main package
 	find debian/python3-gevent -name '*.cpython-3?d*-*.so'| xargs -r rm -f
@@ -57,7 +58,6 @@
 
 override_dh_strip:
 ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -p python-gevent --dbg-package=python-gevent-dbg
 	dh_strip -p python3-gevent --dbg-package=python3-gevent-dbg
 endif
 
@@ -67,9 +67,8 @@
 #	cd $(CURDIR)/src/greentest && PYTHONPATH=../.. ./testrunner.py
 
 override_dh_installdocs-arch:
-	dh_installdocs -Npython-gevent-dbg -Npython3-gevent-dbg
-	dh_installdocs -ppython-gevent-dbg --link-doc=python-gevent
 	dh_installdocs -ppython3-gevent-dbg --link-doc=python3-gevent
+	dh_installdocs -a
 
 override_dh_installdocs-indep:
 	dh_installdocs -i

## python-gevent 21.8.0

=== debian/changelog ===
python-gevent (21.8.0-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:06:23 +0000

python-gevent (21.8.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - track github tags not releases
  * debian/copyright
    - convert to DEP-5
    - update to new upstream release
  * debian/patches
    - refresh, drop patches merged upstream
  * run tests at build time, but ignore failures (for now)

 -- Sandro Tosi <morph@debian.org>  Mon, 22 Nov 2021 02:02:15 -0500

python-gevent (20.9.0-4) unstable; urgency=medium

  * Bring under DPT maintenance, with Laszlo's blessing (see #995934)
  * debian/control
    - run wrap-and-sort
  * debian/copyright
    - add a copyright notice under my name
  * debian/gbp.conf
    - remove gbp.conf

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Oct 2021 16:34:10 -0400

python-gevent (20.9.0-3) unstable; urgency=medium

  [ Michael R. Crusoe <crusoe@debian.org> ]
  * Fix upstream GitHub archive links
  * No longer manually build a -dbg package. Closes: #995138, #994354
  * debian/patches/drop_mysphinxext: cherry-picked from upstream, fixes a
    FTBFS.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 08 Oct 2021 20:17:15 +0200

=== debian/control ===
Source: python-gevent
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
           Sandro Tosi <morph@debian.org>,
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-exec,
               dh-python,
               libc-ares-dev,
               libev-dev,
               libevent-dev (>= 1.4),
               libpython3.9-testsuite <!nocheck>,
               libpython3.10-testsuite <!nocheck>,
               libuv1-dev,
               python3-all-dev,
               python3-cffi,
               python3-dnspython <!nocheck>,
               python3-greenlet,
               python3-greenlet (>= 0.4.15),
               python3-psutil <!nocheck>,
               python3-repoze.sphinx.autointerface,
               python3-setuptools,
               python3-sphinx,
               python3-sphinxcontrib.programoutput,
               python3-zope.event <!nocheck>,
Standards-Version: 4.5.1
Section: python
Homepage: https://www.gevent.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-gevent.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-gevent

Package: python-gevent-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         ${misc:Depends},
Description: gevent is a coroutine-based Python networking library - documentation
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.
 .
 This is the documentation for gevent.

Package: python3-gevent
Section: python
Architecture: any
Depends: python3-greenlet,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Provides: ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Suggests: python-gevent-doc,
          python3-openssl,
Description: gevent is a coroutine-based Python networking library
 gevent uses greenlet to provide a high-level synchronous API on top of
 libevent event loop.

## python-gevent 22.10.2

=== debian/changelog ===
python-gevent (22.10.2-3) unstable; urgency=medium

  * Team upload.
  * Switch to libpython3.11-testsuite

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 05 Feb 2023 11:01:41 +0100

python-gevent (22.10.2-2) unstable; urgency=medium

  * Team upload.
  * Add Depends on python3-greenlet >= 2.0.0 (Closes: #1024595)

 -- Scott Talbert <swt@techie.net>  Tue, 06 Dec 2022 10:38:38 -0500

python-gevent (22.10.2-1) unstable; urgency=low

  * New upstream release.
    + Fixes compatibility with Python 3.11. Closes: #1024015

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 11:52:25 +0000

python-gevent (21.12.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Remove field Section on binary package python3-gevent that duplicates
    source.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:24:35 +0100

python-gevent (21.12.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libevent-dev and
      python3-greenlet.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 03:12:46 +0100

python-gevent (21.12.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Drop build-dependency on libpython3.9-testsuite (Closes: #1011951)
  * Add d/patches/fix-error-running_tests-docs.patch to fix an error when
    building running_tests.html. The command fails and results in a error
    being included in the HTML. Additionally, fixing this makes the build
    reproducible.
  * Set Standards-Version to 4.6.1 (no changes)

 -- Emanuele Rocca <ema@debian.org>  Wed, 31 Aug 2022 11:08:16 +0200

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,20 @@
                dh-python,
                libc-ares-dev,
                libev-dev,
-               libevent-dev (>= 1.4),
-               libpython3.9-testsuite <!nocheck>,
-               libpython3.10-testsuite <!nocheck>,
+               libevent-dev,
+               libpython3.11-testsuite <!nocheck>,
                libuv1-dev,
                python3-all-dev,
                python3-cffi,
                python3-dnspython <!nocheck>,
-               python3-greenlet,
-               python3-greenlet (>= 0.4.15),
+               python3-greenlet (>= 2.0.0),
                python3-psutil <!nocheck>,
                python3-repoze.sphinx.autointerface,
                python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
                python3-zope.event <!nocheck>,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Section: python
 Homepage: https://www.gevent.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-gevent.git
@@ -43,9 +41,8 @@
  This is the documentation for gevent.
 
 Package: python3-gevent
-Section: python
 Architecture: any
-Depends: python3-greenlet,
+Depends: python3-greenlet (>= 2.0.0),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},

## python-gevent 23.9.1

=== debian/changelog ===
python-gevent (23.9.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Fixes build with recent sphinx version. Closes: #1042595.
    - Stop using removed libs in Python 3.12. Closes: #1040118, #1040089.
    - Builds using cython 3.0.x. Closes: #1056857.
  * Build-depend on furo.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 20:01:06 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinxcontrib.programoutput,
+               furo,
                python3-zope.event <!nocheck>,
 Standards-Version: 4.6.1
 Section: python

## python-gevent 24.2.1

=== debian/changelog ===
python-gevent (24.2.1-0.1ubuntu2) noble; urgency=medium

  * No-change rebuild for c-ares t64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Apr 2024 11:55:52 +0200

python-gevent (24.2.1-0.1ubuntu1) noble; urgency=medium

  * Build-depend on libpython3.12-testsuite instead of libpython3.11-testsuite.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Apr 2024 16:57:13 +0200

python-gevent (24.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, covering Python versions 3.11.8 and 3.12.2.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Mar 2024 15:11:15 +0100

python-gevent (23.9.1-1) unstable; urgency=medium

  * remove myself
  * debian/patches/use-local-intersphinx-inventory.patch
    - refresh

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 02:44:43 -0500

python-gevent (23.9.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    - Fixes build with recent sphinx version. Closes: #1042595.
  * Build-depend on furo.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2023 19:46:49 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>,
-           Sandro Tosi <morph@debian.org>,
 Build-Depends: cython3,
                debhelper-compat (= 13),
                dh-exec,
@@ -10,7 +9,7 @@
                libc-ares-dev,
                libev-dev,
                libevent-dev,
-               libpython3.11-testsuite <!nocheck>,
+               libpython3.12-testsuite <!nocheck>,
                libuv1-dev,
                python3-all-dev,
                python3-cffi,

=== debian/rules ===
--- 
+++ 
@@ -57,18 +57,11 @@
 	dh_compress -X.js -X_static/* -X _sources/* -X_sources/*/* -X.inv
 
 override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -p python3-gevent --dbg-package=python3-gevent-dbg
-endif
+	dh_strip -p python3-gevent --dbgsym-migration='python3-gevent-dbg (<< 20.9.0-2~)'
 
-# TODO: check for failures, but disable for now
 override_dh_auto_test:
-#	chmod +x $(CURDIR)/src/greentest/testrunner.py
-#	cd $(CURDIR)/src/greentest && PYTHONPATH=../.. ./testrunner.py
-
-override_dh_installdocs-arch:
-	dh_installdocs -ppython3-gevent-dbg --link-doc=python3-gevent
-	dh_installdocs -a
+	# dont fail (for now), until https://github.com/gevent/gevent/issues/1833 is addressed
+	-http_proxy= https_proxy= PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} {interpreter} -m gevent.tests -u-network --verbose --debug" dh_auto_test
 
 override_dh_installdocs-indep:
 	dh_installdocs -i
@@ -93,5 +86,5 @@
 
 .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_install \
 	override_dh_compress override_dh_strip override_dh_auto_test \
-	override_dh_installdocs-arch override_dh_installdocs-indep \
+	override_dh_installdocs-indep \
 	override_dh_installexamples-indep override_dh_missing

## python-gevent 24.11.1

=== debian/changelog ===
python-gevent (24.11.1-1build2) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:40:47 +0000

python-gevent (24.11.1-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 18:54:44 +0000

python-gevent (24.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1089678)
  * debian/rules: Revert workaround for gcc-14, now fixed upstream.
  * debian/rules: Use "dh_missing --fail-missing".
  * debian/python.inv: Updated to python 3.13.
  * debian/copyright: Minor updates to the copyright info (lintian).
  * debian/python3-gevents.install: Also install gevent/monkey/*.py.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2024 15:37:17 -0500

python-gevent (24.2.1-1) unstable; urgency=medium

  * Team upload.
  * Switch to python3-full as a build dependency
  * Add workaround for gcc-14 (Closes: #1075415)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 12 Jul 2024 14:51:06 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libc-ares-dev,
                libev-dev,
                libevent-dev,
-               libpython3.12-testsuite <!nocheck>,
+               python3-full <!nocheck>,
                libuv1-dev,
                python3-all-dev,
                python3-cffi,

=== debian/rules ===
--- 
+++ 
@@ -82,7 +82,7 @@
 		$(DOCDIR)/examples/webchat/templates/index.html
 
 override_dh_missing:
-	dh_missing --list-missing -X.c -X.h -X.pxd -X.pyc -X.pyx
+	dh_missing --fail-missing -X.c -X.h -X.pxd -X.pyc -X.pyx
 
 .PHONY: override_dh_auto_build override_dh_auto_clean override_dh_install \
 	override_dh_compress override_dh_strip override_dh_auto_test \

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[\.\-]?((?:rc|RC|pre)\.?\d+(?:-\d+)?)$/$1~$2/;s/^((?:\d+\.)*\d+)([ab]\d*)$/$1~$2/ \
https://github.com/surfly/gevent/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
